Package org.apache.cxf.interceptor.security.callback

# Class CertKeyToUserNameMapper

java.lang.Object
org.apache.cxf.interceptor.security.callback.CertKeyToUserNameMapper

All Implemented Interfaces:
  `CertificateToNameMapper`

public class CertKeyToUserNameMapper extends Object implements CertificateToNameMapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertKeyToUserNameMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getUserName(Certificate cert)`
  Returns Subject DN from X509Certificate
  `void`
  `setKey(String key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertKeyToUserNameMapper

    public CertKeyToUserNameMapper()

- ## Method Details

  - ### getUserName

    public String getUserName(Certificate cert)
    Returns Subject DN from X509Certificate
    Specified by:
      `getUserName` in interface `CertificateToNameMapper`
    Parameters:
      `cert` -
    Returns:
      Subject DN as a user name

  - ### setKey

    public void setKey(String key)